<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\Unit;

class UnitsSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $unit = new Unit(["id" => 1, "name" => "u", "description" => "Unidad"]);
        $unit->saveOrFail();
        $unit = new Unit(["id" => 2, "name" => "d", "description" => "Diametro"]);
        $unit->saveOrFail();
        $unit = new Unit(["id" => 3, "name" => "r", "description" => "Radio"]);
        $unit->saveOrFail();
        $unit = new Unit(["id" => 4, "name" => "pr", "description" => "Presion"]);
        $unit->saveOrFail();
        $unit = new Unit(["id" => 5, "name" => "tmx", "description" => "Temperatura Maxima"]);
        $unit->saveOrFail();
        // $unit = new Unit(["id" => 6, "name" => "Ton", "description" => "Tonelada"]);
        // $unit->saveOrFail();
        // $unit = new Unit(["id" => 7, "name" => "pg", "description" => "Pulgada"]);
        // $unit->saveOrFail();
        // $unit = new Unit(["id" => 8, "name" => "cc", "description" => "Centimetro Cuibico"]);
        // $unit->saveOrFail();
        // $unit = new Unit(["id" => 9, "name" => "L", "description" => "Litro"]);
        // $unit->saveOrFail();
        // $unit = new Unit(["id" => 10, "name" => "gal", "description" => "Kilogramo"]);
        // $unit->saveOrFail();
    }
}
